<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>SystemConfigBlueprint &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../_static/doctools.js?v=888ff710"></script>
        <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Outputs in Depth" href="../40_outputs_in_depth.html" />
    <link rel="prev" title="Static SystemConfig" href="staticsystemconfig.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            openPASS
              <img src="../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../30_configs_in_depth.html">Configs in Depth</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="profilescatalog.html">ProfilesCatalog</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenario.html">Scenario</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenario_api_support.html">Scenario API Support</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenery.html">Scenery</a></li>
<li class="toctree-l2"><a class="reference internal" href="simulationconfig.html">SimulationConfig</a></li>
<li class="toctree-l2"><a class="reference internal" href="staticsystemconfig.html">Static SystemConfig</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">SystemConfigBlueprint</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#agentcomponents">AgentComponents</a></li>
<li class="toctree-l3"><a class="reference internal" href="#priorities">Priorities</a></li>
<li class="toctree-l3"><a class="reference internal" href="#channel-ids">Channel-Ids</a></li>
<li class="toctree-l3"><a class="reference internal" href="#parameters">Parameters</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../50_scenario_simulation.html">Simulator</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/20_glossary.html">Glossary</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/30_gui_plugins.html">GUI Plugins</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../30_configs_in_depth.html">Configs in Depth</a></li>
      <li class="breadcrumb-item active">SystemConfigBlueprint</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/user_guide/configs/systemconfigblueprint.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="systemconfigblueprint">
<span id="id1"></span><h1>SystemConfigBlueprint<a class="headerlink" href="#systemconfigblueprint" title="Link to this heading"></a></h1>
<p>This file contains the possible agent modules and channels of a dynamically generated agent. The content of this file should only be adjusted by experienced users with knowledge of the simulation architecture. The SystemConfigBlueprint is a special SystemConfig and has the same schema. Only the system with id 0 is used for generating dynamic agents.
If the simulation uses only statically configured agents (AgentProfile Type attribute is “Static”), this file isn’t required.</p>
<section id="agentcomponents">
<span id="systemconfigblueprint-agentcomponents"></span><h2>AgentComponents<a class="headerlink" href="#agentcomponents" title="Link to this heading"></a></h2>
<p>All components are listed here. An agent consists of a subset of this components.</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Attribute</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Id</p></td>
<td><p>Used as key by the simulation to find the component</p></td>
</tr>
<tr class="row-odd"><td><p>Priority</p></td>
<td><p>The module with the highest priority value gets executed first by the scheduler</p></td>
</tr>
<tr class="row-even"><td><p>Offset</p></td>
<td><p>Delay for the trigger method of each component in ms</p></td>
</tr>
<tr class="row-odd"><td><p>Cycle</p></td>
<td><p>Interval in which the component gets triggered by the scheduler in ms</p></td>
</tr>
<tr class="row-even"><td><p>Response</p></td>
<td><p>Delay for the UpdateOutput method of each component in ms</p></td>
</tr>
<tr class="row-odd"><td><p>Library</p></td>
<td><p>Library name of this component</p></td>
</tr>
<tr class="row-even"><td><p>Parameters</p></td>
<td><p>Parameters used by the component</p></td>
</tr>
</tbody>
</table>
<p>Example:
This example describes the Sensor_Driver module.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;component&gt;</span>
<span class="w">    </span><span class="nt">&lt;id&gt;</span>SenderCar2X<span class="nt">&lt;/id&gt;</span>
<span class="w">    </span><span class="nt">&lt;schedule&gt;</span>
<span class="w">        </span><span class="nt">&lt;priority&gt;</span>399<span class="nt">&lt;/priority&gt;</span>
<span class="w">        </span><span class="nt">&lt;offset&gt;</span>0<span class="nt">&lt;/offset&gt;</span>
<span class="w">        </span><span class="nt">&lt;cycle&gt;</span>100<span class="nt">&lt;/cycle&gt;</span>
<span class="w">        </span><span class="nt">&lt;response&gt;</span>0<span class="nt">&lt;/response&gt;</span>
<span class="w">    </span><span class="nt">&lt;/schedule&gt;</span>
<span class="w">    </span><span class="nt">&lt;library&gt;</span>AlgorithmCar2XSender<span class="nt">&lt;/library&gt;</span>
<span class="w">    </span><span class="nt">&lt;parameters/&gt;</span>
<span class="nt">&lt;/component&gt;</span>
</pre></div>
</div>
</section>
<section id="priorities">
<span id="systemconfigblueprint-priorities"></span><h2>Priorities<a class="headerlink" href="#priorities" title="Link to this heading"></a></h2>
<p>Please refer to the <a class="reference internal" href="../../advanced_topics/simulator/agent_components.html#component-channel-communication"><span class="std std-ref">Components and channel communication diagram</span></a> for assignment of a proper priority.
Based on the signal flow, input relevant components like sensors need to be executed first. They provide data for consuming components (algorithms) like ADAS and drivers.
Data is then handled by algorithms like Algorithm_Lateral.
Output-relevant modules like dynamics and actions are executed last.</p>
<p>Prioritizer can be applied on different levels depending on the modules/data they need to handle levels as following can be defined:</p>
<ul class="simple">
<li><p>Level 1 describes data produced by ADAS and drivers</p></li>
<li><p>Level 2 describes data output by vehicle dynamic controllers</p></li>
<li><p>Level 3 describes data delivered by dynamics</p></li>
</ul>
<p>Priorities can be grouped (coarse) as following:
Highest number indicates highest priority.</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Scope</p></th>
<th class="head"><p>Range</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Parameters</p></td>
<td><p>500</p></td>
</tr>
<tr class="row-odd"><td><p>OpenScenarioActions</p></td>
<td><p>400</p></td>
</tr>
<tr class="row-even"><td><p>Sensor</p></td>
<td><p>350…399</p></td>
</tr>
<tr class="row-odd"><td><p>Event</p></td>
<td><p>330</p></td>
</tr>
<tr class="row-even"><td><p>DriverMode</p></td>
<td><p>310</p></td>
</tr>
<tr class="row-odd"><td><p>ADAS</p></td>
<td><p>250…299</p></td>
</tr>
<tr class="row-even"><td><p>ComponentController</p></td>
<td><p>200</p></td>
</tr>
<tr class="row-odd"><td><p>Prioritizer (Lvl. 1)</p></td>
<td><p>150…199</p></td>
</tr>
<tr class="row-even"><td><p>VehicleDynamicsControllers</p></td>
<td><p>100…149</p></td>
</tr>
<tr class="row-odd"><td><p>Prioritizer (Lvl. 2)</p></td>
<td><p>75…99</p></td>
</tr>
<tr class="row-even"><td><p>Dynamics</p></td>
<td><p>50…74</p></td>
</tr>
<tr class="row-odd"><td><p>Prioritizer (Lvl. 3)</p></td>
<td><p>25…49</p></td>
</tr>
<tr class="row-even"><td><p>Updater</p></td>
<td><p>0…24</p></td>
</tr>
</tbody>
</table>
<p>The table below can be used as orientation when a new module is introduced.</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Name</p></th>
<th class="head"><p>Library</p></th>
<th class="head"><p>Priority</p></th>
<th class="head"><p>Scope</p></th>
<th class="head"><p>Note</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>ParametersAgentModules</p></td>
<td><p>ParametersAgent</p></td>
<td><p>500</p></td>
<td><p>Parameters</p></td>
<td><p>Sets all init-data and is updated cyclically</p></td>
</tr>
<tr class="row-odd"><td><p>OpenScenarioActions</p></td>
<td><p>OpenScenarioActions</p></td>
<td><p>400</p></td>
<td><p>ADAS</p></td>
<td><p>Reads events from OpenSCENARIO Actions and forwards them to other components</p></td>
</tr>
<tr class="row-even"><td><p>SensorObjectDetector</p></td>
<td><p>Sensor_OSI</p></td>
<td><p>398</p></td>
<td><p>Sensor</p></td>
<td><p>Gets instantiated multiple times (one time per sensor)</p></td>
</tr>
<tr class="row-odd"><td><p>SensorAggregation</p></td>
<td><p>SensorAggregation_OSI</p></td>
<td><p>351</p></td>
<td><p>Sensor</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>SensorFusionErrorless</p></td>
<td><p>SensorFusionErrorless_OSI</p></td>
<td><p>350</p></td>
<td><p>Sensor</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>AlgorithmAgentFollowingDriverModel</p></td>
<td><p>AlgorithmAgentFollowingDriverModel</p></td>
<td><p>310</p></td>
<td><p>DriverModels</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>AEB</p></td>
<td><p>AlgorithmAutonomousEmergencyBraking</p></td>
<td><p>250</p></td>
<td><p>ADAS</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>FMU1</p></td>
<td><p>AlgorithmFmuWrapper</p></td>
<td><p>250</p></td>
<td><p>ADAS</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>FMU2</p></td>
<td><p>AlgorithmFmuWrapper</p></td>
<td><p>250</p></td>
<td><p>ADAS</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>FMU3</p></td>
<td><p>AlgorithmFmuWrapper</p></td>
<td><p>250</p></td>
<td><p>ADAS</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>SSP1</p></td>
<td><p>AlgorithmSspWrapper</p></td>
<td><p>250</p></td>
<td><p>ADAS</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>ComponentController</p></td>
<td><p>ComponentController</p></td>
<td><p>200</p></td>
<td><p>ADAS</p></td>
<td><p>Manages vehicle component states with regard to other vehicle component states and conditions and in response to events.</p></td>
</tr>
<tr class="row-even"><td><p>PrioritizerLaterDriver</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>150</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>PrioritizerAccelerationDriver</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>150</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>PrioritizerTurningIndicator</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>150</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>PrioritizerSteeringVehicleComponents</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>150</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>PrioritizerAccelerationVehicleComponents</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>150</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>LimiterAccelerationVehicleComponents</p></td>
<td><p>LimiterAccelerationVehicleComponents</p></td>
<td><p>120</p></td>
<td><p>VehicleDynamicsControllers</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>AlgorithmLateralDriver</p></td>
<td><p>AlgorithmLateralDriver</p></td>
<td><p>100</p></td>
<td><p>VehicleDynamicsControllers</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>AlgorithmLongitudinalVehicleComponents</p></td>
<td><p>AlgorithmLongitudinalVehicleComponents</p></td>
<td><p>100</p></td>
<td><p>VehicleDynamicsControllers</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>AlgorithmLongitudinalDriver</p></td>
<td><p>AlgorithmLongitudinalDriver</p></td>
<td><p>100</p></td>
<td><p>VehicleDynamicsControllers</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>PrioritizerSteering</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>75</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>PrioritizerLongitudinal</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>75</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>DynamicsCollision</p></td>
<td><p>DynamicsCollision</p></td>
<td><p>50</p></td>
<td><p>Dynamics</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>DynamicsRegularDriving</p></td>
<td><p>DynamicsRegularDriving</p></td>
<td><p>50</p></td>
<td><p>Dynamics</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>DynamicsTrajectoryFollower</p></td>
<td><p>DynamicsTrajectoryFollower</p></td>
<td><p>50</p></td>
<td><p>Dynamics</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>PrioritizerDynamics</p></td>
<td><p>SignalPrioritizer</p></td>
<td><p>25</p></td>
<td><p>Prioritizer</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>ActionLongitudinalDriverModules</p></td>
<td><p>ActionLongitudinalDriver</p></td>
<td><p>3</p></td>
<td><p>Updater</p></td>
<td><p>Will be expanded to ActionPrimary DriverTasks</p></td>
</tr>
<tr class="row-even"><td><p>ActionSecondaryDriverTasksModules</p></td>
<td><p>ActionSecondaryDriverTasks</p></td>
<td><p>3</p></td>
<td><p>Updater</p></td>
<td></td>
</tr>
<tr class="row-odd"><td><p>AgentUpdater</p></td>
<td><p>AgentUpdater</p></td>
<td><p>1</p></td>
<td><p>Updater</p></td>
<td></td>
</tr>
</tbody>
</table>
</section>
<section id="channel-ids">
<span id="systemconfigblueprint-channelids"></span><h2>Channel-Ids<a class="headerlink" href="#channel-ids" title="Link to this heading"></a></h2>
<p>Channels allow components to communicate with each other.
The signal flow is set explicitly via a channel-Id of 4 digits (see also <a class="reference internal" href="../../advanced_topics/simulator/agent_components.html#component-channel-communication"><span class="std std-ref">Components and channels communication diagram</span></a>).</p>
<p>The first two numbers define the sending module (XX 00).
The other two digits define the type of signal that is sent (00 XX).</p>
<p>Signals as well as modules can be grouped to allow explicit numbering (see tables below).</p>
<p>Channel-Ids between Sensor and SensorFusion are an exception to this rule. For sensor/sensor fusion communication channel-ids are 9900 + x (incremented for every new sensor)</p>
<p>Example:
PrioritizerAccelerationDriver -&gt; AlgorithmLongitudinalDriver with signal of type AccelerationSignal: 1813.</p>
<p><strong>Ids for Modules (first two digits)</strong></p>
<p>Index range for module groups:</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Group</p></th>
<th class="head"><p>Id</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Dynamics</p></td>
<td><p>1…10</p></td>
</tr>
<tr class="row-odd"><td><p>Algorithm</p></td>
<td><p>11…30</p></td>
</tr>
<tr class="row-even"><td><p>DriverTasks</p></td>
<td><p>31…40</p></td>
</tr>
<tr class="row-odd"><td><p>Driver</p></td>
<td><p>41…50</p></td>
</tr>
<tr class="row-even"><td><p>VehicleComponent</p></td>
<td><p>51…70</p></td>
</tr>
<tr class="row-odd"><td><p>Special</p></td>
<td><p>81…89</p></td>
</tr>
<tr class="row-even"><td><p>Sensor</p></td>
<td><p>91…99</p></td>
</tr>
</tbody>
</table>
<p>With corresponding defined indices:</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Module</p></th>
<th class="head"><p>Group</p></th>
<th class="head"><p>Id</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>AgentUpdater</p></td>
<td><p>Dynamics</p></td>
<td><p>1</p></td>
</tr>
<tr class="row-odd"><td><p>Dynamics_TrajectoryFollower</p></td>
<td><p>Dynamics</p></td>
<td><p>2</p></td>
</tr>
<tr class="row-even"><td><p>Dynamics_RegularDriving</p></td>
<td><p>Dynamics</p></td>
<td><p>3</p></td>
</tr>
<tr class="row-odd"><td><p>Dynamics_Collision</p></td>
<td><p>Dynamics</p></td>
<td><p>4</p></td>
</tr>
<tr class="row-even"><td><p>PrioritizerDynamics</p></td>
<td><p>Dynamics</p></td>
<td><p>5</p></td>
</tr>
<tr class="row-odd"><td><p>Dynamics_Scenario</p></td>
<td><p>Dynamics</p></td>
<td><p>6</p></td>
</tr>
<tr class="row-even"><td><p>ControllerSwitch</p></td>
<td><p>Dynamics</p></td>
<td><p>7</p></td>
</tr>
<tr class="row-odd"><td><p>Algorithm_LongitudinalVehicleComponent</p></td>
<td><p>Algorithm</p></td>
<td><p>11</p></td>
</tr>
<tr class="row-even"><td><p>Algorithm_LongitudinalAfdm</p></td>
<td><p>Algorithm</p></td>
<td><p>12</p></td>
</tr>
<tr class="row-odd"><td><p>Algorithm_SteeringVehicleComponent</p></td>
<td><p>Algorithm</p></td>
<td><p>14</p></td>
</tr>
<tr class="row-even"><td><p>Algorithm_LateralVehicleAfdm</p></td>
<td><p>Algorithm</p></td>
<td><p>15</p></td>
</tr>
<tr class="row-odd"><td><p>LimiterAccelerationVehicleComponents</p></td>
<td><p>Algorithm</p></td>
<td><p>17</p></td>
</tr>
<tr class="row-even"><td><p>PrioritizerLongitudinal</p></td>
<td><p>Algorithm</p></td>
<td><p>21</p></td>
</tr>
<tr class="row-odd"><td><p>PrioritizerSteering</p></td>
<td><p>Algorithm</p></td>
<td><p>22</p></td>
</tr>
<tr class="row-even"><td><p>PrioritizerAccelerationVehicleComponents</p></td>
<td><p>Algorithm</p></td>
<td><p>23</p></td>
</tr>
<tr class="row-odd"><td><p>PrioritizerSteeringVehicleComponents</p></td>
<td><p>Algorithm</p></td>
<td><p>24</p></td>
</tr>
<tr class="row-even"><td><p>Action_LongitudinalDriver</p></td>
<td><p>DriverTasks</p></td>
<td><p>31</p></td>
</tr>
<tr class="row-odd"><td><p>Action_SecondaryDriverTasks</p></td>
<td><p>DriverTasks</p></td>
<td><p>32</p></td>
</tr>
<tr class="row-even"><td><p>PrioritizerTurningIndicator</p></td>
<td><p>DriverTasks</p></td>
<td><p>33</p></td>
</tr>
<tr class="row-odd"><td><p>AlgorithmAgentFollowingDriverModel</p></td>
<td><p>Driver</p></td>
<td><p>41</p></td>
</tr>
<tr class="row-even"><td><p>AEB</p></td>
<td><p>VehicleComponent</p></td>
<td><p>52</p></td>
</tr>
<tr class="row-odd"><td><p>FMU1</p></td>
<td><p>VehicleComponent</p></td>
<td><p>71</p></td>
</tr>
<tr class="row-even"><td><p>FMU2</p></td>
<td><p>VehicleComponent</p></td>
<td><p>72</p></td>
</tr>
<tr class="row-odd"><td><p>FMU3</p></td>
<td><p>VehicleComponent</p></td>
<td><p>73</p></td>
</tr>
<tr class="row-even"><td><p>ComponentController</p></td>
<td><p>Special</p></td>
<td><p>83</p></td>
</tr>
<tr class="row-odd"><td><p>OpenScenarioActions</p></td>
<td><p>Special</p></td>
<td><p>84</p></td>
</tr>
<tr class="row-even"><td><p>Parameter_Vehicle</p></td>
<td><p>Sensor</p></td>
<td><p>92</p></td>
</tr>
<tr class="row-odd"><td><p>SensorAggregation</p></td>
<td><p>Sensor</p></td>
<td><p>93</p></td>
</tr>
<tr class="row-even"><td><p>SensorFusionErrorless</p></td>
<td><p>Sensor</p></td>
<td><p>94</p></td>
</tr>
<tr class="row-odd"><td><p>Sensor_Driver</p></td>
<td><p>Sensor</p></td>
<td><p>95</p></td>
</tr>
<tr class="row-even"><td><p>SensorObjectDetector</p></td>
<td><p>Sensor</p></td>
<td><p>98</p></td>
</tr>
</tbody>
</table>
<p><strong>Ids for Signals (last two digits)</strong></p>
<p>Index range for signal groups:</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Group</p></th>
<th class="head"><p>Id</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Dynamics</p></td>
<td><p>1…10</p></td>
</tr>
<tr class="row-odd"><td><p>Algorithm</p></td>
<td><p>11…30</p></td>
</tr>
<tr class="row-even"><td><p>OpenScenarioActions</p></td>
<td><p>61…70</p></td>
</tr>
<tr class="row-odd"><td><p>Special</p></td>
<td><p>71…80</p></td>
</tr>
<tr class="row-even"><td><p>Sensor</p></td>
<td><p>81…90</p></td>
</tr>
<tr class="row-odd"><td><p>Parameters</p></td>
<td><p>91…99</p></td>
</tr>
</tbody>
</table>
<p>With corresponding defined indices:</p>
<table class="tight-table docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Signal</p></th>
<th class="head"><p>Group</p></th>
<th class="head"><p>Id</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Dynamics</p></td>
<td><p>Dynamics</p></td>
<td><p>01</p></td>
</tr>
<tr class="row-odd"><td><p>Longitudinal</p></td>
<td><p>Algorithm</p></td>
<td><p>11</p></td>
</tr>
<tr class="row-even"><td><p>Steering</p></td>
<td><p>Algorithm</p></td>
<td><p>12</p></td>
</tr>
<tr class="row-odd"><td><p>Acceleration</p></td>
<td><p>Algorithm</p></td>
<td><p>13</p></td>
</tr>
<tr class="row-even"><td><p>Lateral</p></td>
<td><p>Algorithm</p></td>
<td><p>14</p></td>
</tr>
<tr class="row-odd"><td><p>SecondaryDriverTasks</p></td>
<td><p>Algorithm</p></td>
<td><p>19</p></td>
</tr>
<tr class="row-even"><td><p>Trajectory</p></td>
<td><p>OpenScenarioActions</p></td>
<td><p>71</p></td>
</tr>
<tr class="row-odd"><td><p>AcquireGlobalPosition</p></td>
<td><p>OpenScenarioActions</p></td>
<td><p>62</p></td>
</tr>
<tr class="row-even"><td><p>CustomParameters (CustomCommandAction)</p></td>
<td><p>OpenScenarioActions</p></td>
<td><p>63</p></td>
</tr>
<tr class="row-odd"><td><p>SensorDriver</p></td>
<td><p>Sensor</p></td>
<td><p>81</p></td>
</tr>
<tr class="row-even"><td><p>SensorData</p></td>
<td><p>Sensor</p></td>
<td><p>90</p></td>
</tr>
<tr class="row-odd"><td><p>ParametersVehicle</p></td>
<td><p>Parameters</p></td>
<td><p>92</p></td>
</tr>
</tbody>
</table>
</section>
<section id="parameters">
<span id="systemconfigblueprint-parameters"></span><h2>Parameters<a class="headerlink" href="#parameters" title="Link to this heading"></a></h2>
<p>For more information on the type of parameters (especially stochastic distributions), please refer to the <a class="reference internal" href="profilescatalog.html#profilescatalog-profilegroups"><span class="std std-ref">ProfilesGroup section</span></a>.</p>
<p><strong>Important Note:</strong> The syntax for defining parameters in the SystemConfigBlueprint file differs from the ProfilesCatalog syntax.
See the following example:</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;parameters&gt;</span>
<span class="w">    </span><span class="nt">&lt;parameter&gt;</span>
<span class="w">        </span><span class="nt">&lt;id&gt;</span>StringParameter<span class="nt">&lt;/id&gt;</span>
<span class="w">        </span><span class="nt">&lt;type&gt;</span>string<span class="nt">&lt;/type&gt;</span>
<span class="w">        </span><span class="nt">&lt;unit/&gt;</span>
<span class="w">        </span><span class="nt">&lt;value&gt;</span>Lorem<span class="w"> </span>ipsum<span class="nt">&lt;/value&gt;</span>
<span class="w">    </span><span class="nt">&lt;/parameter&gt;</span>
<span class="w">    </span><span class="nt">&lt;parameter&gt;</span>
<span class="w">        </span><span class="nt">&lt;id&gt;</span>RandomParameter<span class="nt">&lt;/id&gt;</span>
<span class="w">        </span><span class="nt">&lt;type&gt;</span>normalDistribution<span class="nt">&lt;/type&gt;</span>
<span class="w">        </span><span class="nt">&lt;unit/&gt;</span>
<span class="w">        </span><span class="nt">&lt;value&gt;</span>
<span class="w">            </span><span class="nt">&lt;mean&gt;</span>15.0<span class="nt">&lt;/mean&gt;</span>
<span class="w">            </span><span class="nt">&lt;sd&gt;</span>2.5<span class="nt">&lt;/sd&gt;</span>
<span class="w">            </span><span class="nt">&lt;min&gt;</span>10.0<span class="nt">&lt;/min&gt;</span>
<span class="w">            </span><span class="nt">&lt;max&gt;</span>20.0<span class="nt">&lt;/max&gt;</span>
<span class="w">        </span><span class="nt">&lt;/value&gt;</span>
<span class="w">    </span><span class="nt">&lt;/parameter&gt;</span>
<span class="nt">&lt;/parameters&gt;</span>
</pre></div>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="staticsystemconfig.html" class="btn btn-neutral float-left" title="Static SystemConfig" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../40_outputs_in_depth.html" class="btn btn-neutral float-right" title="Outputs in Depth" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>